#
ARCH	=	UVAX
ARCHCFLAGS	= 
ARCHDLIB	= -
,libpvm3.olb/lib -
,MULTINET_ROOT:[MULTINET.LIBRARY]RPC.OLB/LIBRARY -
,$41$DKA200:[NOTEBOOK.PVM_VMS.VERSUCH2.VMS]multinet/opt
#,disk1:[EOHBDLC.XDR]libxdr.olb/lib -
#,sys$library:ucx$ipc/lib -
#,sys$login:dxm_link/opt
# ,sys$library:rpc$libnck/lib
ARCHDOBJ	=
HASRANLIB	=	t
# END of custom section - leave this line here
#
# Generic Makefile body.
# To update, edit Makefile.body and run lib/UpdateMk.
#
# Imports:
#  ARCH       = the official pvm-name of your processor
#  ARCHCFLAGS = special cc flags
#  ARCHDLIB   = special libs needed for daemon
#  ARCHDOBJ   = special objects needed for daemon
#  HASRANLIB  = 't' or 'f'
#
# Define:
#  FDSETPATCH      if includes don't have fd_set stuff
#  NOGETDTBLSIZ    if libc doesn't have getdtablesize()
#  NOREXEC         if machine doesn't have rexec()
#  NOSOCKOPT       if libwhatever doesn't have setsockopt() or it doesn't work
#  NOSTRCASE       if libc doesn't have strcasecmp, strncasecmp
#  RSHCOMMAND      to define rsh command other than "/usr/ucb/rsh"
#  SOCKADHASLEN    if struct sockaddr has an sa_len field
#  SYSVSIGNAL      for system5 signal handling
#  SYSVSTR         for strchr() instead of index()
#  UDPMAXLEN       to set special max udp packet size
#  USE_PVM_ALLOC   to use instrumented malloc functions (for system debugging)
#
SHELL	=	/bin/sh
CC	=	cc
SDIR	=	[]
RM      =       delete
LINK     =      link
#LFLAGS   = /map/crossreference/debug/executable=
LFLAGS   = /executable=
LIBCREATE =     library/create/Replace
CFLAGS	=	/lis -
/DEFINE=("SYSVSTR=TRUE","ARCHCLASS=UVAX","IMA_UVAX=TRUE","NOSOCKOPT=TRUE") -
$(ARCHCFLAGS)
# CFLAGS	=	-g -DARCHCLASS=\"$(ARCH)\" -DIMA_$(ARCH) $(ARCHCFLAGS)
#CFLAGS	=	-O -DARCHCLASS=\"$(ARCH)\" -DIMA_$(ARCH) $(ARCHCFLAGS)
#CFLAGS	=	-g -DARCHCLASS=\"$(ARCH)\" -DIMA_$(ARCH) $(ARCHCFLAGS) -DUSE_PVM_ALLOC
DOBJ	=	archcode.obj, pvmcruft.obj, pvmdabuf.obj, ddpro.obj, pvmfrag.obj, -
			host.obj, pvmlog.obj,  -
			mesg.obj, pvmalloc.obj, nmdclass.obj, pkt.obj, -
			pvmd.obj, startup.obj, - 
			task.obj, tdpro.obj, waitc.obj, imalloc.obj, -
			vmsgettime.obj
LOBJ	=	pvmcruft.obj, pvmdabuf.obj, pvmfrag.obj, lpvm.obj, lpvmgen.obj, pvmlog.obj, -
			pvmalloc.obj, lpvmpack.obj, pvmumbuf.obj, imalloc.obj, -
                        vmsgetpid.obj
#
all :	libpvm3.olb pvmd3 pvm
#
pvmd3 :	$(DOBJ)
	$(LINK) $(LFLAGS)pvmd3.exe $(DOBJ) $(ARCHDLIB) 
#	$(LINK) $(CFLAGS) pvmd3 $(DOBJ) $(ARCHDLIB)
#
libpvm3.olb :	$(LOBJ)
	$(RM)  libpvm3.olb;
	$(LIBCREATE) libpvm3.olb $(LOBJ)
#	case x$(HASRANLIB) in xt ) echo ranlib; ranlib libpvm3.a ;; esac
#
#
pvm :	cons.obj
	$(LINK) $(LFLAGS)pvm.exe cons.obj $(ARCHDLIB) 
#
clean :
	$(RM) -f $(DOBJ) $(LOBJ) pvmd3 libpvm3.a
#
tidy :
	$(RM) -f $(DOBJ) $(LOBJ)
#
lint :
	lint -DARCHCLASS=\"$(ARCH)\" archcode.c pvmcruft.c ddpro.c pvmfrag.c host.c \
		mesg.c myalloc.c pkt.c pvmd.c startup.c \
		task.c tdpro.c waitc.c imalloc.c pvmlog.c > Ld
	lint pvmcruft.c pvmfrag.c lpvm.c lpvmgen.c pvmalloc.c lpvmpack.c \
		pvmumbuf.c imalloc.c > Ll

vmsgettime.obj :	$(SDIR)vmsgettime.c
	$(CC) $(CFLAGS)  $(SDIR)vmsgettime.c
vmsgetpid.obj :	$(SDIR)vmsgetpid.c
	$(CC) $(CFLAGS)  $(SDIR)vmsgetpid.c
cons.obj :	$(SDIR)cons.c
	$(CC) $(CFLAGS)  $(SDIR)cons.c
archcode.obj :	$(SDIR)archcode.c
	$(CC) $(CFLAGS)  $(SDIR)archcode.c
pvmcruft.obj :	$(SDIR)pvmcruft.c
	$(CC) $(CFLAGS)  $(SDIR)pvmcruft.c
pvmdabuf.obj :	$(SDIR)pvmdabuf.c
	$(CC) $(CFLAGS)  $(SDIR)pvmdabuf.c
ddpro.obj :	$(SDIR)ddpro.c
	$(CC) $(CFLAGS)  $(SDIR)ddpro.c
pvmfrag.obj :	$(SDIR)pvmfrag.c
	$(CC) $(CFLAGS)  $(SDIR)pvmfrag.c
host.obj :	$(SDIR)host.c
	$(CC) $(CFLAGS)  $(SDIR)host.c
imalloc.obj :	$(SDIR)imalloc.c
	$(CC) $(CFLAGS)  $(SDIR)imalloc.c
pvmlog.obj :	$(SDIR)pvmlog.c
	$(CC) $(CFLAGS)  $(SDIR)pvmlog.c
lpvm.obj :	$(SDIR)lpvm.c
	$(CC) $(CFLAGS)  $(SDIR)lpvm.c
lpvmgen.obj :	$(SDIR)lpvmgen.c
	$(CC) $(CFLAGS)  $(SDIR)lpvmgen.c
mesg.obj :	$(SDIR)mesg.c
	$(CC) $(CFLAGS)  $(SDIR)mesg.c
pvmalloc.obj :	$(SDIR)pvmalloc.c
	$(CC) $(CFLAGS)  $(SDIR)pvmalloc.c
nmdclass.obj :	$(SDIR)nmdclass.c
	$(CC) $(CFLAGS)  $(SDIR)nmdclass.c
lpvmpack.obj :	$(SDIR)lpvmpack.c
	$(CC) $(CFLAGS)  $(SDIR)lpvmpack.c
pkt.obj :	$(SDIR)pkt.c
	$(CC) $(CFLAGS)  $(SDIR)pkt.c
pkup.obj :	$(SDIR)pkup.c
	$(CC) $(CFLAGS)  $(SDIR)pkup.c
putenv.obj :	$(SDIR)putenv.c
	$(CC) $(CFLAGS)  $(SDIR)putenv.c
pvmd.obj :	$(SDIR)pvmd.c
	$(CC) $(CFLAGS)  $(SDIR)pvmd.c
startup.obj :	$(SDIR)startup.c
	$(CC) $(CFLAGS)  $(SDIR)startup.c
task.obj :	$(SDIR)task.c
	$(CC) $(CFLAGS)  $(SDIR)task.c
tdpro.obj :	$(SDIR)tdpro.c
	$(CC) $(CFLAGS)  $(SDIR)tdpro.c
pvmumbuf.obj :	$(SDIR)pvmumbuf.c
	$(CC) $(CFLAGS)  $(SDIR)pvmumbuf.c
waitc.obj :	$(SDIR)waitc.c
	$(CC) $(CFLAGS)  $(SDIR)waitc.c

# .h deps
archcode.obj : $(SDIR)protoglarp.h
archcode.obj : $(SDIR)pvmalloc.h
pvmdabuf.obj : $(SDIR)protoglarp.h
pvmdabuf.obj : $(SDIR)pvmalloc.h
ddpro.obj : $(SDIR)global.h
ddpro.obj : $(SDIR)fromlib.h
ddpro.obj : $(SDIR)tdpro.h
ddpro.obj : $(SDIR)ddpro.h
ddpro.obj : $(SDIR)protoglarp.h
ddpro.obj : $(SDIR)pvmalloc.h
ddpro.obj : $(SDIR)host.h
ddpro.obj : $(SDIR)mesg.h
ddpro.obj : $(SDIR)waitc.h
ddpro.obj : $(SDIR)task.h
ddpro.obj : $(SDIR)listmac.h
pvmfrag.obj : $(SDIR)protoglarp.h
pvmfrag.obj : $(SDIR)pvmalloc.h
pvmfrag.obj : $(SDIR)pvmfrag.h
pvmfrag.obj : $(SDIR)listmac.h
pvmfrag.obj : $(SDIR)pvmdabuf.h
host.obj : $(SDIR)protoglarp.h
host.obj : $(SDIR)global.h
host.obj : $(SDIR)pvmalloc.h
host.obj : $(SDIR)host.h
host.obj : $(SDIR)mesg.h
host.obj : $(SDIR)pkt.h
lpvm.obj : $(SDIR)pvm3.h
lpvm.obj : $(SDIR)global.h
lpvm.obj : $(SDIR)tdpro.h
lpvm.obj : $(SDIR)ddpro.h
lpvm.obj : $(SDIR)pvmalloc.h
lpvm.obj : $(SDIR)pvmfrag.h
lpvm.obj : $(SDIR)pvmumbuf.h
lpvm.obj : $(SDIR)listmac.h
lpvmgen.obj : $(SDIR)pvm3.h
lpvmgen.obj : $(SDIR)global.h
lpvmgen.obj : $(SDIR)pvmalloc.h
lpvmgen.obj : $(SDIR)tdpro.h
lpvmgen.obj : $(SDIR)pvmumbuf.h
lpvmgen.obj : $(SDIR)listmac.h
mesg.obj : $(SDIR)protoglarp.h
mesg.obj : $(SDIR)pvmalloc.h
mesg.obj : $(SDIR)pvmfrag.h
mesg.obj : $(SDIR)mesg.h
mesg.obj : $(SDIR)listmac.h
pvmalloc.obj : $(SDIR)protoglarp.h
pvmalloc.obj : $(SDIR)pvmalloc.h
nmdclass.obj : $(SDIR)protoglarp.h
nmdclass.obj : $(SDIR)pvmalloc.h
nmdclass.obj : $(SDIR)listmac.h
lpvmpack.obj : $(SDIR)pvm3.h
lpvmpack.obj : $(SDIR)global.h
lpvmpack.obj : $(SDIR)tdpro.h
lpvmpack.obj : $(SDIR)ddpro.h
lpvmpack.obj : $(SDIR)pvmfrag.h
lpvmpack.obj : $(SDIR)pvmumbuf.h
lpvmpack.obj : $(SDIR)listmac.h
pkt.obj : $(SDIR)protoglarp.h
pkt.obj : $(SDIR)pvmalloc.h
pkt.obj : $(SDIR)pkt.h
pkt.obj : $(SDIR)pvmdabuf.h
pkt.obj : $(SDIR)listmac.h
pvmd.obj : $(SDIR)global.h
pvmd.obj : $(SDIR)fromlib.h
pvmd.obj : $(SDIR)tdpro.h
pvmd.obj : $(SDIR)ddpro.h
pvmd.obj : $(SDIR)protoglarp.h
pvmd.obj : $(SDIR)pvmalloc.h
pvmd.obj : $(SDIR)host.h
pvmd.obj : $(SDIR)pvmdabuf.h
pvmd.obj : $(SDIR)pvmfrag.h
pvmd.obj : $(SDIR)mesg.h
pvmd.obj : $(SDIR)pkt.h
pvmd.obj : $(SDIR)task.h
pvmd.obj : $(SDIR)waitc.h
pvmd.obj : $(SDIR)listmac.h
startup.obj : $(SDIR)global.h
startup.obj : $(SDIR)fromlib.h
startup.obj : $(SDIR)ddpro.h
startup.obj : $(SDIR)tdpro.h
startup.obj : $(SDIR)protoglarp.h
startup.obj : $(SDIR)pvmalloc.h
startup.obj : $(SDIR)mesg.h
startup.obj : $(SDIR)host.h
startup.obj : $(SDIR)listmac.h
task.obj : $(SDIR)global.h
task.obj : $(SDIR)ddpro.h
task.obj : $(SDIR)protoglarp.h
task.obj : $(SDIR)mesg.h
task.obj : $(SDIR)pkt.h
task.obj : $(SDIR)task.h
task.obj : $(SDIR)waitc.h
task.obj : $(SDIR)pvmalloc.h
task.obj : $(SDIR)listmac.h
tdpro.obj : $(SDIR)global.h
tdpro.obj : $(SDIR)fromlib.h
tdpro.obj : $(SDIR)tdpro.h
tdpro.obj : $(SDIR)ddpro.h
tdpro.obj : $(SDIR)protoglarp.h
tdpro.obj : $(SDIR)pvmalloc.h
tdpro.obj : $(SDIR)mesg.h
tdpro.obj : $(SDIR)task.h
tdpro.obj : $(SDIR)host.h
tdpro.obj : $(SDIR)waitc.h
tdpro.obj : $(SDIR)listmac.h
umbuf.obj : $(SDIR)pvm3.h
umbuf.obj : $(SDIR)pvmalloc.h
umbuf.obj : $(SDIR)pvmfrag.h
umbuf.obj : $(SDIR)umbuf.h
umbuf.obj : $(SDIR)listmac.h
waitc.obj : $(SDIR)global.h
waitc.obj : $(SDIR)protoglarp.h
waitc.obj : $(SDIR)pvmalloc.h
waitc.obj : $(SDIR)waitc.h
waitc.obj : $(SDIR)mesg.h
waitc.obj : $(SDIR)listmac.h
